unit uEditorFechaCierreObra;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, cxControls, cxContainer,
  cxEdit, cxTextEdit, cxMaskEdit, cxDropDownEdit, cxCalendar, uIEditorFechaCierreObra;

type
  TfEditorFechaCierreObra = class(TForm, IEditorFechaCierreObra)
    Label1: TLabel;
    edtFechaDecision: TcxDateEdit;
    bAceptar: TButton;
    bCancelar: TButton;
    procedure FormShow(Sender: TObject);
  private
    procedure SetFechaCierre (const Value : TDateTime);
    function GetFechaCierre : TDateTime;
  public
    property FechaCierre : TDateTime read GetFechaCierre write SetFechaCierre;
  end;

implementation

{$R *.dfm}

procedure TfEditorFechaCierreObra.FormShow(Sender: TObject);
begin
  edtFechaDecision.Date := now;
end;

function TfEditorFechaCierreObra.GetFechaCierre: TDateTime;
begin
  Result := edtFechaDecision.Date;
end;

procedure TfEditorFechaCierreObra.SetFechaCierre(const Value: TDateTime);
begin
  edtFechaDecision.Date := Value;
end;

end.
